Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 4 de 4

Tema: Impresora o poder actualizar con apt

  1. #1
    Fecha de Ingreso
    10-abril-2005
    Ubicación
    Mallorca
    Mensajes
    1.238
    Post Thanks / Like
    Poder de Credibilidad
    17

    Question Impresora o poder actualizar con apt

    Hola grupo,
    Me ha pasado lo siguiente: Al comprar mi portátil Dell (hoy en día con Linux 100%) me regalaron la impresora "Dell Photo Printer 720", la cual no es correctamente reconocida por SuSE (reconoce el nombre, pero no los drivers) (en su día, Mandrake no reconoció ni el nombre) y, googleando ví que no tenía drivers (o paquetes) para Linux, y que los de Dell no ofrecen casi ninguna ayuda a linux.
    Empeñado en hacerla funcionar, me encontré con la siguiente dirección:
    http://www.staerk.de/thorsten/module...article&sid=43
    Fantástico, pensé, y siguiendo los pasos de la misma la tengo funcionando perfectamente (al 2º intento). Bueno, realmente instalé vía yast los rpm que lleva el comprimido.
    En efecto, la Dell Photo Printer es la mismita máquina que la Lexmark Z615 (baste ver las fotos de ambas que pululan por la red)
    Tengo ahora correctamente instalada la impresora, pero como se ve en el enlace puesto, para instalar "z600cups-1.0-1.i386.rpm" hay que forzar la instalación (hay dependencias al parecer irresolubles), con lo que el programa gestor de paquetes synaptic lo identifica como "paquete roto", con lo que ahora no puedo actualizar ni con apt ni con synaptic si antes no desinstalo la impresora.
    Todo (por ahora) funciona correctamente a pesar de ese "paquete roto".
    La pregunta es: ¿existe alguna manera de hacerle ver a apt y synaptic que ignore que sea un paquete roto el de la impresora y que actualice como si no existiera?
    Gracias.

  2. #2
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Hola

    Cita Iniciado por tomeu
    pero como se ve en el enlace puesto, para instalar "z600cups-1.0-1.i386.rpm" hay que forzar la instalación (hay dependencias al parecer irresolubles)
    Qué problemas de dependencias da exactamente?? Hay veces en que apt no consigue arreglar las dependencias si no es desinstalando algún paquete, pero luego suele haber otras opciones ...

    Otra alternativa sería instalar el driver sin usar el rpm, siempre que exista en otro formato (tgz habitualmente), aunque por lo que veo en la página que pones parece que el rpm es el único que hay
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  3. #3
    Fecha de Ingreso
    10-abril-2005
    Ubicación
    Mallorca
    Mensajes
    1.238
    Post Thanks / Like
    Poder de Credibilidad
    17
    Problemas de dependencias: pues la versión de CUPS
    El archivo "z600cups-1.0-1.i386.rpm" pide cups-1.1.15-10 mientras que la versión de cups que tengo instalada es la 1.1.21-5.6
    Ell fichero "tar.gz" de esa dirección contiene el fichero "z600cups-1.0-1.gz.sh" y este crea los dos rpm: "z600llpddk-2.0-1.i386.rpm" (que se instala sin problemas) y "z600cups-1.0-1.i386.rpm".

    SuSE 9.2 no trae "ppd" para la Lexmark Z600 ni Z615, aunque veo que trae para bastantes modelos que empiezan con Z (ninguna con 3 dígitos ni ninguna que empiece con 6). Dando por sentado que la Dell Photo Printer 720 es una réplica de la Lexmark Z615, miraré en la pag. de Lexmark a ver si para Linux se puede instalar una Z600/615 con cualquiera de esos otros "ppd" Z* de su marca.

    Con todo, si bien con dicha instalación imprime aceptablemente, ésta no es perfecta: los márgenes están demasiado desplazados al inicio de página (puede que ello sea porque venga por defecto tamaño de papel letter en lugar de A4 -pendiente de revisar-) y, desde luego, los colores que saca no son exactos a los que salen en pantalla (revisado que el cartucho de tinta está OK y la impresora bajo windows sacaba buena calidad de colores).

  4. #4
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Cita Iniciado por tomeu
    La pregunta es: ¿existe alguna manera de hacerle ver a apt y synaptic que ignore que sea un paquete roto el de la impresora y que actualice como si no existiera?
    Pues buscando parece ser que existe la opción RPM::Ignore:: que puedes usar en el fichero de configuración apt.conf para ignorar las dependencias relacionadas con esos paquetes.

    Por ejemplo en el fichero es posible que te aparezca esto:

    Ignore {"gpg-pubkey"; };

    Tan sólo tendrías que añadir nuevas líneas con los paquetes correspondientes, a ver si te sirve
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Como actualizar Kernel en suse 9.2 version dvd - iso?
    By Kou in forum Instalación y Actualizaciones
    Respuestas: 0
    Último mensaje: 19-feb-2005, 22:51
  2. Respuestas: 0
    Último mensaje: 13-ene-2005, 20:26
  3. impresora en red??
    By pmauri in forum Hardware
    Respuestas: 1
    Último mensaje: 10-ene-2005, 17:54
  4. Actualizar Firefox.
    By isicapi in forum Software
    Respuestas: 9
    Último mensaje: 14-nov-2004, 14:09
  5. Es conveniente actualizar la 9.1?
    By Oesoto in forum General OpenSUSE
    Respuestas: 5
    Último mensaje: 06-ago-2004, 20:33

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •